# org.apache.pdfbox.pdmodel.encryption

## Classes

- AccessPermission
- DecryptionMaterial
- PDCryptFilterDictionary
- PDEncryption
- ProtectionPolicy
- PublicKeyDecryptionMaterial
- PublicKeyProtectionPolicy
- PublicKeyRecipient
- PublicKeySecurityHandler
- SecurityHandler
- SecurityHandlerFactory
- SecurityProvider
- StandardDecryptionMaterial
- StandardProtectionPolicy
- StandardSecurityHandler

## Exceptions

- InvalidPasswordException